# Uses of Interface
org.eclipse.zest.layouts.interfaces.EntityLayout

Packages that use EntityLayout
Package
Description
org.eclipse.zest.core.widgets
org.eclipse.zest.core.widgets.custom
org.eclipse.zest.layouts.algorithms
org.eclipse.zest.layouts.interfaces

## Uses of EntityLayout in org.eclipse.zest.core.widgets

Classes in org.eclipse.zest.core.widgets that implement EntityLayout
Modifier and Type
Class
Description
`class`
`DefaultSubgraph`
Default implementation of `SubgraphLayout`.
`class`
`FigureSubgraph`
A subgraph layout that represents a subgraph as a single figure.
Methods in org.eclipse.zest.core.widgets that return EntityLayout
Modifier and Type
Method
Description
`EntityLayout[]`
DefaultSubgraph.`getPredecessingEntities()`
`EntityLayout[]`
FigureSubgraph.`getPredecessingEntities()`
`EntityLayout[]`
DefaultSubgraph.`getSuccessingEntities()`
`EntityLayout[]`
FigureSubgraph.`getSuccessingEntities()`

## Uses of EntityLayout in org.eclipse.zest.core.widgets.custom

Classes in org.eclipse.zest.core.widgets.custom that implement EntityLayout
Modifier and Type
Class
Description
`class`
`LabelSubgraph`
A subgraph layout that displays a label showing number of items pruned within it.
`class`
`TriangleSubgraph`
A subgraph that is visualized in a graph as a triangle.

## Uses of EntityLayout in org.eclipse.zest.layouts.algorithms

Methods in org.eclipse.zest.layouts.algorithms with parameters of type EntityLayout
Modifier and Type
Method
Description
`protected void`
GridLayoutAlgorithm.`applyLayoutInternal(EntityLayout[] entitiesToLayout, DisplayIndependentRectangle bounds)`
Use this algorithm to layout the given entities and bounds.
`static void`
AlgorithmHelper.`fitWithinBounds(EntityLayout[] entities, DisplayIndependentRectangle destinationBounds, boolean resize)`
Fits given entities within given bounds, preserving their relative locations.
`static DisplayIndependentRectangle`
AlgorithmHelper.`getLayoutBounds(EntityLayout[] entities, boolean includeNodeSize)`
Find the bounds in which the nodes are located.
`static DisplayIndependentDimension`
AlgorithmHelper.`getMinimumDistance(EntityLayout[] entities)`
minDistance is the closest that any two points are together.
`static void`
AlgorithmHelper.`maximizeSizes(EntityLayout[] entities)`
Resizes the nodes so that they have a maximal area without overlapping each other, with additional empty space of 20% of node's width (or height, if bigger).

## Uses of EntityLayout in org.eclipse.zest.layouts.interfaces

Subinterfaces of EntityLayout in org.eclipse.zest.layouts.interfaces
Modifier and Type
Interface
Description
`interface`
`NodeLayout`
`interface`
`SubgraphLayout`
An interface for subgraphs in layout.
Methods in org.eclipse.zest.layouts.interfaces that return EntityLayout
Modifier and Type
Method
Description
`EntityLayout[]`
LayoutContext.`getEntities()`
Returns all entities that are currently placed on the graph, that is subgraphs and unpruned nodes.
`EntityLayout[]`
EntityLayout.`getPredecessingEntities()`
Returns all entities that are direct predecessors of this entity.
`EntityLayout[]`
EntityLayout.`getSuccessingEntities()`
Returns all entities that are direct successors of this entity.
Methods in org.eclipse.zest.layouts.interfaces with parameters of type EntityLayout
Modifier and Type
Method
Description
`ConnectionLayout[]`
LayoutContext.`getConnections(EntityLayout layoutEntity1, EntityLayout layoutEntity2)`
Returns all the connections between given source and target entities.